Contents
Picture File Navigator Help

Contents

Overview

Search

Set or Change Edit Tool

Edit

Copy

Delete

Show Pictures Window

Limitations & Tech Support

Registration Information

Copyright ©1996 Infomate Inc.  All Rights Reserved

Microsoft and Visual Basic are registered trademarks, and Windows is a trademark of Microsoft Corporation


 	Overview

1.	Picture File Navigator(PicNavi) is a desktop utility for searching and managing picture files.

2. 	It searches all the picture files in any drive and/or goes through all subdirectories.

3.	If any picture files are found, they are listed in a search results list box and a separated pictures window. You can select a picture file either from the list box or the pictures window, and perform such tasks as editing, copying, and deleting.

4.	Picture files recognized by PicNavi include icons (*.ico), bitmaps (*.bmp), run-length encoded files (*.rle), and metafile (*.wmf) files.

5.	This program is freely distributed as shareware and may be evaluated without charge for 30 days.


 	Search

Picture File Navigator(PicNavi) searches all specified picture files. Picture files recognized by PicNavi include icons (*.ico), bitmaps (*.bmp), run-length encoded files (*.rle), and metafile (*.wmf) files. If files are found, they are listed in a search results list box and a separated pictures window. You can select a picture file either from the list box or the pictures window, and perform such tasks as editing, copying, and deleting. The contents of the Search Results window change when you perform a new search.

To search for picture files

1.	Select the drive and directory from which you want to start the search.

2.	Specify the picture file types that you want to search for, and whether you want to search in subdirectories.

3.	Click the Search button.

-or-

From the File menu, choose Search.

To cancel the search, press ESC.


 	Set or Change Edit Tool

When Picture File Navigator(PicNavi) is started, in the beginning, it searches WIN.INI file to get picture files associations. For example, pbrush.exe is the application that is usually associated with *.bmp files. If there is an application associated with a certain type of picture file, PicNavi uses the application as the default edit tool to edit the picture file. If a certain type of file is not associated with any application, this Set or Change Edit Tool feature is used to set up the application to edit the file. And also, this feature is used to change the edit tool.

To set or change an edit tool

1.	Select a picture file, either from the Search Results List box or the pictures window, which you want to associate with an application.

Note: It only sets up the edit tool to work with files with the same file extension. For example, for *.ico files.

2.	Click the Set tool.. button.

-or-

From the Edit menu, choose Set edit tool...

-or-

Right-click the mouse button on the big picture, then choose Set edit tool...

3.	In the Set Edit Tool dialog box, select the drive, directory and the application(an exe file) which you want to use as the edit tool (associate with the picture file).

4.	Select Set As the Default Tool check box if you want to modify the WIN.INI file, and use the edit tool as the default on the next launch.

5.	Click the OK button.

See Also:

Edit


Edit

Picture File Navigator(PicNavi) starts the edit tool application that is associated with the picture file. If the application has not been set, the Set edit tool dialog box comes up first.

To edit a picture file

Double-click the big picture.

-or-

Click the Edit button.

-or-

From the Edit menu, choose Edit.

-or-

Right-click the mouse button on the big picture, then choose Edit.

Note:  After you saved an altered picture file in the edit tool application, the new picture does not show up immediately on the big picture box and on the pictures window. The new picture will be shown when you click it, or click the picture in the pictures window.

See Also:

Set or Change Edit Tool


Copy

Copies a selected picture file to a different directory or disk.

To copy a picture file

1.	Select a picture file, either from the Search Results List box or the pictures window, which you want to copy.

2.	Click the Copy.. button

-or-

From the Edit menu, choose Copy...

-or-

Right-click the mouse button on the big picture, then choose Copy...

3.	In the Copy dialog box,

select the drive and directory to which you want to copy.

-or-

select Copy to Clipboard, if you want to copy the full file name onto the Clipboard so that you can paste, link, or embed it in another file.)

4.	Click the OK button.


Delete

Deletes a selected picture file.

To delete a picture file

1.	Select a picture file, either from Search Results List box or the pictures window, which you want to delete.

2.	Click the Delete.. button

-or-

From the Edit menu, choose Delete...

-or-

Right-click the mouse button on the big picture, then choose Delete...

3.	In the Delete dialog box,

choose Yes if you want to delete,

-or-

choose No if you do not want to delete.

Note:  After the deletion, Picture File Navigator performs the search again to update the search results.


Show Pictures Window

After the search, if any picture files are found, they are listed in a search results list box and a separated search results pictures window. In the pictures window, the found picture files are divided into pages. Each page contains maximum 100 picture files.

To select a picture

1.	Find the picture by using Next or Prev button.

2.	Click the picture.

To close the pictures window

Click the Close button on the pictures window.

To open the pictures window when closed

Click the Show win button on the main screen.

Note:  If the pictures window is minimized, clicking the Show win button only highlights the minimized icon. To bring the pictures window to normal, double-click the icon.


Limitations
Limitations & Tech Support

Limitations

1.	Picture File Navigator is written entirely in Visual Basic and is subject to the same limitations as any Visual Basic program.

2.	Please see the readme.txt file for [Disclaimer and Agreement]

Tech Support or Any Questions, Suggestions

Please contact with us:

Infomate Inc.

1216 Whiterock St.

Ottawa, ON.  K1J 1A7

CANADA

Compuserve:102435,1676

INTERNET:102435,1676@Compuserve.com

See Also:

Registration Information


Registration Information

The registration fee is(postage included):

single copy	CAN$12.00(US$10.00)

more than 10 copies	CAN$6.00(US$5.00)	per copy

Please send check (drawn on any Canadian or U.S. bank) or money order to:

Infomate Inc.

1216 Whiterock St.

Ottawa, ON.  K1J 1A7

CANADA

Attn. Picture File Navigator

Note:  For Compuserve Users: You may register Picture File Navigator on-line;GO SWREG, enter ID# 11059

On receipt, purchaser will receive a 3.5"(1.44mb) disk with the latest version of Picture File Navigator.

Please see the order.txt file for the order form.